## org.eclipse.emf.cdo.view
Interface CDOViewInvalidationEvent

All Superinterfaces:
  CDOEvent, CDOViewEvent, org.eclipse.net4j.util.event.IEvent

    public interface CDOViewInvalidationEvent

extends CDOViewEvent

An event that is emitted to registered `listeners` of a `CDOView` if `passive update` is enabled for the session.

Since:
  2.0
See Also:
  `CDOInvalidationNotification`, `CDOAdapterPolicy`

Method Summary
`java.util.Set<? extends CDOObject>` `getDetachedObjects()` Returns a set of the `CDOObjects` of the removed objects.
`java.util.Set<? extends CDOObject>` `getDirtyObjects()` Returns a set of the `CDOObjects` of the modified objects.
`long` `getTimeStamp()` Returns the time stamp of the server transaction if this event was sent as a result of a successfully committed transaction or `LOCAL_ROLLBACK` if this event was sent due to a local rollback.

Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent
`getView`

Methods inherited from interface org.eclipse.net4j.util.event.IEvent
`getSource`

Method Detail

### getTimeStamp

    long getTimeStamp()

  Returns the time stamp of the server transaction if this event was sent as a result of a successfully committed transaction or `LOCAL_ROLLBACK` if this event was sent due to a local rollback.

### getDirtyObjects

    java.util.Set<? extends CDOObject> getDirtyObjects()

  Returns a set of the `CDOObjects` of the modified objects.

### getDetachedObjects

    java.util.Set<? extends CDOObject> getDetachedObjects()

  Returns a set of the `CDOObjects` of the removed objects.

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.